/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/mixins/_fonts.scss';
@import 'css/_variables.scss';

.evidences {
  width: 100%;
  &__list {
    background: $coa-evidences-container-background;
    box-shadow: 0px 0px 12px rgba(94, 94, 94, 0.25);
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
    border-radius: 20px;
    min-height: 31.25rem;
    padding-block: 20px 30px;

    display: flex;
    flex-direction: column;
    &__header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      &__title {
        @include primary-text(1rem, $coa-medium-gray-100, 400);
      }

      &__subtitle {
        @include primary-text(0.875rem, $coa-light-gray-100, 400);
      }
      &__right {
        display: flex;
        column-gap: 1.25rem;
        align-items: center;
        flex-wrap: wrap;
        justify-content: flex-end;
      }
    }
    &__body {
      &__evidencesContainer {
        flex-grow: 1;
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(21.25rem, 1fr));
        column-gap: 1.25rem;
        row-gap: 1.5625rem;

        @include respond(mobile) {
          grid-template-columns: 1fr;
        }

        &.--empty {
          display: flex;
          justify-content: center;
          align-items: center;
          flex-direction: column;
        }
        &__emptyText {
          @include primary-text(1rem, $coa-primary, 600);
        }
      }
      &__info {
        margin-top: 0.9375rem;
        display: flex;
        flex-direction: column;
        row-gap: 0.9375rem;
      }
    }
    &__footer {
      display: flex;
      justify-content: flex-end;
      column-gap: 0.625rem;
    }
    &__body,
    &__header,
    &__footer {
      padding-inline: 1.8675rem;
    }
  }
  &__indicatorTitle {
    @include primary-text(0.75rem, $coa-medium-gray-100, 700);
  }
  &__indicatorValue {
    @include primary-text(0.75rem, $coa-medium-gray-100, 400);
  }
}
